package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PushFacade;
import com.diagbot.vo.IndicationPushVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/6 9:49
 */
@RestController
@RequestMapping("/push")
@Api(value = "推理相关API", tags = { "推理相关API" })
public class PushController {
    @Autowired
    private PushFacade pushFacade;

    @ApiOperation(value = "开单合理项推理[by:zhaops]", notes = "")
    @PostMapping("/indicationPush")
    @SysLogger("indicationPush")
    public RespDTO<IndicationDTO> indicationPush(@RequestBody @Valid IndicationPushVO indicationPushVO) {
        IndicationDTO data = pushFacade.indicationPush(indicationPushVO);
        return RespDTO.onSuc(data);
    }
}